com.intellectualcrafters.plot.generator

## Class XPopulator

- java.lang.Object
- - org.bukkit.generator.BlockPopulator
  - - com.intellectualcrafters.plot.generator.XPopulator

-     public class XPopulator
      extends org.bukkit.generator.BlockPopulator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPopulator(PlotWorld pw)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short[]` | `getBlock(java.lang.String block)`
    `long` | `nextLong()`
    `void` | `populate(org.bukkit.World w, java.util.Random r, org.bukkit.Chunk c)`
    `int` | `random(int n)`
    `void` | `setCuboidRegion(int x1, int x2, int y1, int y2, int z1, int z2, PlotBlock block, org.bukkit.World w)`
    `long` | `xorShift64(long a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPopulator

          public XPopulator(PlotWorld pw)

  - ### Method Detail

    - #### nextLong

          public final long nextLong()

    - #### xorShift64

          public final long xorShift64(long a)

    - #### random

          public final int random(int n)

    - #### setCuboidRegion

          public void setCuboidRegion(int x1,
                             int x2,
                             int y1,
                             int y2,
                             int z1,
                             int z2,
                             PlotBlock block,
                             org.bukkit.World w)

    - #### getBlock

          public short[] getBlock(java.lang.String block)

    - #### populate

          public void populate(org.bukkit.World w,
                      java.util.Random r,
                      org.bukkit.Chunk c)

      Specified by:
        `populate` in class `org.bukkit.generator.BlockPopulator`